# List Image Prewarm Tasks - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-list-image-prewarm

# List Image Prewarm Tasks

GET

/

gpu-instance

/

openapi

/

v1

/

image

/

prewarm

Try it

List Image Prewarm Tasks

cURL

```
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>'
```

```
import requestsurl = "https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm"headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = { method: 'GET', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpu-instance/openapi/v1/image/prewarm")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"data": [
{
"id": "&#x3C;string>",
"imageName": "&#x3C;string>",
"imageUrl": "&#x3C;string>",
"repositoryAuth": "&#x3C;string>",
"clusterId": "&#x3C;string>",
"clusterName": "&#x3C;string>",
"products": [
{
"productId": "&#x3C;string>",
"productName": "&#x3C;string>"
}
],
"imageSize": "&#x3C;string>",
"createTime": "&#x3C;string>",
"state": "&#x3C;string>",
"completeTime": "&#x3C;string>",
"note": "&#x3C;string>",
"reason": [
"&#x3C;string>"
]
}
],
"total": 123
}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#query-parameters)

Query Parameters

[​](#param-page)

page

integer

Page number. Default: 1.

[​](#param-page-size)

pageSize

integer

Page size. Default: 10.

[​](#param-state)

state

string

Prewarm task state. Valid values: `Pending`, `Running`, `Succeeded`, `Failed`.

[​](#param-cluster-id)

clusterId

string

Cluster ID.

[​](#param-name)

name

string

Image name or task note for fuzzy matching.

##

[​](#response)

Response

[​](#param-data)

data

object[]

required

List of prewarm tasks.

Hide properties

[​](#param-id)

id

string

required

Prewarm task ID.

[​](#param-image-name)

imageName

string

required

Image name (the last segment of the image URL without the tag).

[​](#param-image-url)

imageUrl

string

required

Image URL.

[​](#param-repository-auth)

repositoryAuth

string

Image registry authentication ID.

[​](#param-cluster-id-1)

clusterId

string

required

Cluster ID.

[​](#param-cluster-name)

clusterName

string

required

Cluster name.

[​](#param-products)

products

object[]

required

Products to prewarm.

Show properties

[​](#param-product-id)

productId

string

required

Product ID.

[​](#param-product-name)

productName

string

required

Product name.

[​](#param-image-size)

imageSize

string

Image size in bytes.

[​](#param-create-time)

createTime

string

required

Task creation time (Unix timestamp in seconds).

[​](#param-state-1)

state

string

required

Task state. Valid values: `Pending`, `Running`, `Succeeded`, `Failed`.

[​](#param-complete-time)

completeTime

string

Task completion time (Unix timestamp in seconds).

[​](#param-note)

note

string

Task note.

[​](#param-reason)

reason

string[]

Reason messages.

[​](#param-total)

total

integer

required

Total number of tasks.

Last modified on September 15, 2025
